#include <bits/stdc++.h>

using namespace std;

string a,b;

bool pot(int j,int i){
	int indj=j;
	j--;
	int ind=i;
	while(i>0 && j>=0){
		i--;
		if(a[i]==b[j]){
			j--;
		}
	}
	if(j!=-1) return false;
	i=ind;
	j=indj+1;
	while(i<a.size()-1 && j<b.size()){
		i++;
		if(a[i]==b[j]){
			j++;
		}
	}
	if(j!=b.size()) return false;
	return true;
}

int main(){
	cin>>a>>b;
	int inds=-1; int minb=200000;
	for(int i=0;i<b.size();i++){
		char sl=b[i];
		int br=0;
		for(int j=0;j<a.size();j++){
			if(a[j]==sl && pot(i,j)) br++;
		}
		if(br<minb){
			minb=br;
			inds=i;
		}
	}
	cout<<minb<<"\n";
	for(int i=0;i<a.size();i++){
		if(a[i]==b[inds] && pot(inds,i)) a[i]='*';
	}
	cout<<a;
	
	return 0;
}